﻿
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("_PartialScriptPartList")

<h2></h2>
<div class ="content">
<table style="width:100%">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Parent Part No";
                }).GetHtml()
        </td>
        <td style="width:5px"></td>
        <td>
         @Html.DevExpress().TextBox(
          settings =>{
          settings.Name = "parentpartno";
          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
          settings.Width = 140;
          settings.Properties.MaxLength = 25;
          }).GetHtml()
        </td>
        <td style="width:20px"></td>
        <td>
             @Html.DevExpress().Label(
                label =>{
                label.Text = "Part No";
                }).GetHtml()
        </td>
        <td style="width:5px"></td>
        <td> 
        
          @Html.DevExpress().TextBox(
            settings =>
            {
            settings.Name = "partno";
            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
            settings.Width = 140;
            settings.Properties.MaxLength = 25;
            }).GetHtml()

         </td>

          <td style="width:20px"></td>
          <td>
          @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "*Prod Month";
                }).GetHtml()
            </td>
            <td style="width:5px"></td>
            <td>@Html.DevExpress().DateEdit(
              settings =>
            {
                settings.Name = "prodmonth";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                settings.Properties.DisplayFormatInEditMode = true;
                settings.Properties.EditFormatString = "yyyyMM";
                settings.Properties.DisplayFormatString = "yyyyMM";
                settings.Properties.CalendarProperties.EnableYearNavigation = true;
                settings.Properties.ClientSideEvents.DropDown = "OnDropDown";
                settings.Properties.ClientSideEvents.Init = "OnInit";
    
                
                settings.Width = 80;
             }).GetHtml()
                
          </td>

        <td style="width:20px"></td>
        <td>
        @Html.DevExpress().Label(
         label =>{
         label.Text = "To";
         }).GetHtml()
        
        </td>

        <td style="width:5px"></td>
    <td>
    
    @Html.DevExpress().DateEdit(
     settings =>
     {
     settings.Name = "prodmonthto";
     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
     settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
     settings.Properties.DisplayFormatInEditMode = true;
     settings.Properties.EditFormatString = "yyyyMM";
     settings.Properties.DisplayFormatString = "yyyyMM";
     settings.Properties.CalendarProperties.EnableYearNavigation = true;
     settings.Properties.ClientSideEvents.DropDown = "OnDropDown";
     settings.Properties.ClientSideEvents.Init = "OnInit";
     settings.Width = 80;
     }
     ).GetHtml()
     </td>
     <td colspan="1" style="width:350px"></td>
    <td>
        @Html.DevExpress().Button(
         edtSetting =>
         {
         edtSetting.Name = "cmdSearch";
         edtSetting.Text = "Search";
         edtSetting.Width = 80;
         edtSetting.ClientSideEvents.Click = "OnSearch";
         edtSetting.Style.Add("display", "inline-table");
         edtSetting.UseSubmitBehavior = true;
         }
         ).GetHtml()
    </td>
    <td style="width:5px"></td>
    <td>
        @Html.DevExpress().Button(
        edtSetting =>
        {
        edtSetting.Name = "cmdClear";
        edtSetting.Width = 80;
        edtSetting.Text = "Clear";
        edtSetting.ClientSideEvents.Click = "OnClear";
        edtSetting.Style.Add("display", "inline-table");
        edtSetting.UseSubmitBehavior = true;
        }
        ).GetHtml()
    </td>

   </tr>
<tr>
    <td colspan="19">
        <hr />
    </td>
</tr>
    <tr>
    <td>
        @Html.DevExpress().Button(
        edtSetting =>
        {
        edtSetting.Name = "cmdDownload";
        edtSetting.Width = 80;
        edtSetting.Text = "Download";
        edtSetting.ClientSideEvents.Click = "DownloadData";
        edtSetting.Style.Add("display", "inline-table");
        edtSetting.UseSubmitBehavior = true;
        }
        ).GetHtml()
    </td>
    </tr>
</table>
</div>

<div class="content" style="min-height:490px">
    @Html.Partial("GridViewPartListMaster")       
</div>
    
    
   